import request from '@/utils/request'

// 查询投诉信息列表
export function listInformation(query) {
    return request({
        url: '/crmComplaintInformation/findByPage',
        method: 'get',
        params: query
    })
}

// 查询投诉信息详细
export function getInformation(id) {
    return request({
        url: '/crmComplaintInformation/' + id,
        method: 'get'
    })
}

// 新增投诉信息
export function addInformation(data) {
    return request({
        url: '/crmComplaintInformation',
        method: 'post',
        data: data
    })
}

// 修改投诉信息
export function updateInformation(data) {
    return request({
        url: '/crmComplaintInformation',
        method: 'put',
        data: data
    })
}

// 删除投诉信息
export function delInformation(id) {
    return request({
        url: '/crmComplaintInformation/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
    console.log(ids);
    return request.post('/crmComplaintInformation/delete',ids)
}